Bug 10558 - firefox не зарегистрирован как программа для просмотра html
: firefox не зарегистрирован как программа для просмотра html
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/firefox)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 12100
  Show dependency tree
 
Reported: 2006-12-27 14:52 by
Modified: 2009-07-01 15:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-27 14:52:17
В desktop-файле такая строка:
MimeTypes="text/html,text/xml,application/xhtml+xml,application/vnd.mozilla.xul+xml,text/mml"
Я не нашёл в других файлах примеров использования MimeTypes, есть MimeType, 
причём там перечисление через ;
В общем, пока я не добавил строку
MimeType=text/html
как это сделано в seamonkey*desktop,
Mozilla Firefox в меню Файл konqueror'а, к примеру, не появилась.
------- Comment #1 From 2007-06-19 16:17:20 -------
Да. Формат изменился. Этот desktop файл мне дал Zerg.
------- Comment #2 From 2007-07-29 14:01:31 -------
(In reply to comment #1)
> Да. Формат изменился. Этот desktop файл мне дал Zerg.

Включил Сергея в cc: . 
2legion & zerg: господа,разберитесь срочно. Эта ерунда  блокирует выход Desktop4.0.
------- Comment #3 From 2007-08-01 14:36:56 -------
fixed by legion@
------- Comment #4 From 2007-08-01 14:40:48 -------
Наличие этой баги прикрывало другую багу (что-то не найду), т.к. из Konqueror 
ее гораздо легче поймать.
Она про неоткрытие файла Firefox-ом из Konqueror, если в пути содержаться 
пробелы.
------- Comment #5 From 2008-07-27 10:25:23 -------
В firefox-3.0.1-alt1 есть
/usr/share/applications/firefox.desktop
и в нём такая же проблема, в итоге не открывается из konqueror.
------- Comment #6 From 2009-07-01 11:06:12 -------
Исправлено
------- Comment #7 From 2009-07-01 15:02:32 -------
firefox-3.5-alt1.20090601 все нормально открывается из KDE4 Dophin даже если в
пути пробели и русские символы